Subject: Re: tbr/decrementer and SMP -- do the cpus stay in sync?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 19 Oct 2004 09:46:54 +1000

On Tue, 2004-10-19 at 06:58, Chris Friesen wrote:
> I thought I remembered some discussion on this a while back, but I can't find it 
> in my archived messages or online, so here goes.
> 
> With SMP PowerPC machines (specifically the dual G5) we sync up the timebase 
> when we bring up the second CPU.  Are we guaranteed that they stay in sync after 
> that point, or will they drift?  If they drift, do we have any idea how much?

Yes. They have the same clock source. They won't drift.
Ben.